MCP Tools Reference: calendarmcp.googleapis.com

ツール: list_calendars

このユーザーがアクセスできるカレンダー(カレンダー リスト)を返します。このツールを使用して、カレンダーの識別データ(「家族のカレンダー」など)を対応する calendar_id(メール識別子)に解決します。

次のサンプルは、curl を使用して list_calendars MCP ツールを呼び出す方法を示しています。

Curl リクエスト
curl --location 'https://calendarmcp.googleapis.com/mcp/v1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_calendars",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

ListCalendarsRequest

JSON 表現
{

  "pageSize": integer

  "pageToken": string
}
フィールド

共用体フィールド _page_size

_page_size は次のいずれかになります。

pageSize

integer

省略可。ページあたりの最大結果数。デフォルトは 100、最大は 250 です。

共用体フィールド _page_token

_page_token は次のいずれかになります。

pageToken

string

省略可。返す結果ページを指定するトークン。

出力スキーマ

ListCalendarsResponse

JSON 表現
{
  "calendars": [
    {
      object (CalendarListItem)
    }
  ],

  "nextPageToken": string
}
フィールド
calendars[]

object (CalendarListItem)

カレンダーのリスト。

共用体フィールド _next_page_token

_next_page_token は次のいずれかになります。

nextPageToken

string

次のページトークン。次のページが存在しない場合は省略されます。

CalendarListItem

JSON 表現
{
  "id": string,
  "summary": string,
  "description": string,
  "timeZone": string
}
フィールド
id

string

ID。カレンダーのメールアドレス。

summary

string

出力専用。タイトル。

description

string

出力専用。説明。

timeZone

string

出力専用。タイムゾーン。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/calendar
  • https://www.googleapis.com/auth/calendar.readonly
  • https://www.googleapis.com/auth/calendar.calendarlist
  • https://www.googleapis.com/auth/calendar.calendarlist.readonly